=pod

=head1 SORT TYPES

Search results can be sorted in various ways, depending on the type of
product returned by the search.  If a sort parameter isn't specified in
the request, the results will be ordered as if the salesrank value is
specified.

=head2 Sorting Apparel Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverseprice 		   |
   |-------------------------+-------------------------+
   | Newest Arrivals         | -launch-date            |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Automotive Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -pricerank              |
   |---------------------------------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Baby Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | psrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Beauty Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Newest Arrivals         | -launch-date            |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Books Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Average Customer Review | reviewrank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverse-pricerank       |
   |-------------------------+-------------------------+
   | Publication Date        | daterank                |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Classical Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | psrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   |---------------------------------------------------+
   | Original Release Date   | orig-rel-date           |
   +---------------------------------------------------+

=head2 Sorting DigitalMusic

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Most Popular            | songtitlerank           |
   |-------------------------+-------------------------+
   | Date Added              | uploaddaterank          |
   +---------------------------------------------------+

=head2 Sorting DVDs Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Release Date (New-Old)  | -video-release-date     |
   +---------------------------------------------------+

=head2 Sorting Electronics Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Average Customer Review | reviewrank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Gourmet Food Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverseprice            |
   |-------------------------+-------------------------+
   | Newest Arrivals         | launch-date             |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Health Personal Care Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverseprice            |
   |-------------------------+-------------------------+
   | Newest Arrivals         | launch-date             |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Jewelry Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverseprice            |
   |-------------------------+-------------------------+
   | Newest Arrivals         | launch-date             |
   +---------------------------------------------------+

=head2 Sorting Kitchen Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Magazines Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Bestselling             | subslot-salesrank       |
   |-------------------------+-------------------------+
   | Average Customer Review | reviewrank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Publication Date        | daterank                |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Merchants Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverseprice 		   |
   |-------------------------+-------------------------+
   | Newest Arrivals         | -launch-date            |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Miscellaneous Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Music Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | psrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+
   | Artist Name             | artistrank              |
   |-------------------------+-------------------------+
   | Original Release Date   | orig-rel-date           |
   +---------------------------------------------------+

=head2 Sorting Musical Instruments Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Newest Arrivals         | -launch-date            |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Music Tracks Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Office Products Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Average Customer Review | reviewrank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Outdoor Living Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | psrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting PC Hardware Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | psrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Pet Supplies Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Photo Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Restaurants Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevance               |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Software Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | price                   |
   |-------------------------+-------------------------+
   | Price (Low to High)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical            | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Sporting Goods Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverseprice            |
   |-------------------------+-------------------------+
   | Newest Arrivals         | launch-date             |
   |-------------------------+-------------------------+
   | On Sale                 | sale-flag               |
   +---------------------------------------------------+

=head2 Sorting Tools Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Toys Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Age (High to Low)       | -age-min                |
   +---------------------------------------------------+

=head2 Sorting VHS Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Release Date (New-Old)  | -video-release-date     |
   +---------------------------------------------------+

=head2 Sorting Video Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | relevancerank           |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Release Date (New-Old)  | -video-release-date     |
   +---------------------------------------------------+

=head2 Sorting Video Games Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | pmrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Price (Low to High)     | price                   |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   +---------------------------------------------------+

=head2 Sorting Wireless Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Publication Date        | daterank                |
   |-------------------------+-------------------------+
   | Price (Low to High)     | pricerank               |
   |-------------------------+-------------------------+
   | Price (High to Low)     | inverse-pricerank       |
   |-------------------------+-------------------------+
   | Average Customer Review | reviewrank              |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Wireless Accessories Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | psrank                  |
   |-------------------------+-------------------------+
   | Bestselling             | salesrank               |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | titlerank               |
   |---------------------------------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=cut
